/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes;

public class DadosFuncionario extends InformacoesFuncionario
{
	private final int fCodigo;
	private final String fSetor;
	
	public DadosFuncionario(
		String matricula, int codigo, String nome, String setor)
	{
		super(matricula, nome);
		fCodigo = codigo;
		fSetor = setor;
	}
	
	public int getCodigo()
	{
		return fCodigo;
	}
	
	public String getSetor()
	{
		return fSetor;
	}
}
