/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes;

public class DadosSenha
{
	private final String fSenhaAtual;
	private final String fNovaSenha;
	private final String fConfirmacaoNovaSenha;
	
	public DadosSenha(
		String senhaAtual, String novaSenha, String confirmacaoNovaSenha)
	{
		fSenhaAtual = senhaAtual;
		fNovaSenha = novaSenha;
		fConfirmacaoNovaSenha = confirmacaoNovaSenha;
	}
	
	public String getSenhaAtual()
	{
		return fSenhaAtual;
	}
	
	public String getNovaSenha()
	{
		return fNovaSenha;
	}
	
	public String getConfirmacaoNovaSenha()
	{
		return fConfirmacaoNovaSenha;
	}
}
