/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes;

import java.util.List;

import javax.ejb.Local;

@Local
public interface IGerenciadorFuncionarios extends ILocalizadorSetores
{
	void definirSetorAtual(Setor setorAtual);
	
	List<Funcionario> localizarAdministradoresSetorAtual();
	
	List<DadosAdministrador> localizarAdministradores();
	void adicionarAdministrador(int codigoFuncionario, Setor setorAdministracao)
		throws GerenciamentoFuncionariosException;
	void removerAdministrador(DadosAdministrador administrador)
		throws GerenciamentoFuncionariosException;;
	
	List<DadosFuncionarioComPermissoes> localizarFuncionarios();
	void adicionarFuncionarioDeOutroSetor(int codigoFuncionario)
		throws GerenciamentoFuncionariosException;
	
	void atualizar();
	void cancelar();
}
