/**
 * @autor Marcos Antonio Pereira Silva
 */

package br.urca.solicitacoes.web;

import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

import br.urca.solicitacoes.Funcionario;
import br.urca.solicitacoes.IGerenciadorFuncionarios;

@ManagedBean
@RequestScoped
public class SemPermissao
{
	@EJB
	IGerenciadorFuncionarios fGerenciadorFuncionarios;
	
	public List<Funcionario> getAdministradoresSetorAtual()
	{
		fGerenciadorFuncionarios.definirSetorAtual(
			FuncionarioAutenticado.getInstancia().getSetor());
		return fGerenciadorFuncionarios.localizarAdministradoresSetorAtual();
	}
}
